Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class HTMLTable.Cell

    java.lang.Object
      com.google.gwt.user.client.ui.HTMLTable.Cell

Enclosing class:
  HTMLTable

    public class HTMLTable.Cell

extends java.lang.Object

Return value for `HTMLTable.getCellForEvent(com.google.gwt.event.dom.client.ClickEvent)`.

Constructor Summary
`protected` | `HTMLTable.Cell(int rowIndex, int cellIndex)` Creates a cell.

Method Summary
`int` | `getCellIndex()` Gets the cell index.
`Element` | `getElement()` Gets the cell's element.
`int` | `getRowIndex()` Get row index.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLTable.Cell

    protected HTMLTable.Cell(int rowIndex,
                             int cellIndex)

  Creates a cell.

  Parameters:
    `rowIndex` - the cell's row
    `cellIndex` - the cell's index

Method Detail

### getCellIndex

    public int getCellIndex()

  Gets the cell index.

  Returns:
    the cell index

### getElement

    public Element getElement()

  Gets the cell's element.

  Returns:
    the cell's element.

### getRowIndex

    public int getRowIndex()

  Get row index.

  Returns:
    the row index

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD